Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.datacache
Class DataCacheManager

    java.lang.Object
      |
      +--kodo.datacache.DataCacheManager

All Implemented Interfaces:
  com.solarmetric.util.Closeable

public class DataCacheManager
extends Object
implements com.solarmetric.util.Closeable

This type manages the system's data and query caches. You can retrieve the data cache manager from the `JDOConfiguration`.

Constructor Summary
`DataCacheManager(JDOConfiguration conf)` Constructor; supply system configuration.

Method Summary
`void` | `close()` Close all caches.
`DataCache` | `getDataCache()` Return the (wrapped) default data cache.
`DataCache` | `getDataCache(boolean unwrap)` Return the default data cache.
`DataCache` | `getDataCache(String name)` Return the named (wrapped) data cache, creating it if needed.
`DataCache` | `getDataCache(String name, boolean create, boolean unwrap)` Return the named data cache.
`String[]` | `getDataCacheNames()` Return a list of the names of all datacache created so far.
`QueryCache` | `getQueryCache()` Return the system query cache.
`boolean` | `isCachingEnabled()` Whether we're using an L2 cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataCacheManager

    public DataCacheManager(JDOConfiguration conf)

  Constructor; supply system configuration.

Method Detail

### isCachingEnabled

    public boolean isCachingEnabled()

  Whether we're using an L2 cache.

### getDataCache

    public DataCache getDataCache()

  Return the (wrapped) default data cache.

### getDataCache

    public DataCache getDataCache(boolean unwrap)

  Return the default data cache.
  Parameters:
    `unwrap` - true to remove any decorators around the native data cache

### getDataCache

    public DataCache getDataCache(String name)

  Return the named (wrapped) data cache, creating it if needed.

### getDataCache

    public DataCache getDataCache(String name,
                                  boolean create,
                                  boolean unwrap)

  Return the named data cache. If the given name is null, the default data cache is returned.
  Parameters:
    `create` - if true, the cache will be created if it does not already exist
    `unwrap` - true to remove any decorators around the native data cache

### getDataCacheNames

    public String[] getDataCacheNames()

  Return a list of the names of all datacache created so far.

### getQueryCache

    public QueryCache getQueryCache()

  Return the system query cache.

### close

    public void close()

  Close all caches.
  Specified by:
    `close` in interface `com.solarmetric.util.Closeable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.